orangleliu 笔记本

lzz的编程之旅,技术,思考,分享,happy

[CentOS]安装软件:/lib/ld-linux.so.2: bad ELF interpreter 解决

环境:

[orangle@localhost Downloads]$ uname -m&&uname -r
x86_64
2.6.32-220.el6.x86_64
[orangle@localhost Downloads]$ cat /etc/redhat-release
CentOS release 6.2 (Final)

****************************************************************************************

使用的时候出现一个错误

bash: /usr/local/bin/rar: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

是因为64位系统中安装了32位程序
解决方法:
yum install glibc.i686


重新安装以后还有如下类系错误 再继续安装包

error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

yum install libstdc++.so.6


本文出自 orangleliu笔记本 博客,请务必保留此出处 http://blog.csdn.net/orangleliu/article/details/8869626

阅读更多
版权声明:本文为orangleliu (http://blog.csdn.net/orangleliu/)原创文章,自由传播,文章转载请声明, 多谢。 https://blog.csdn.net/lzz957748332/article/details/8869626
个人分类: Linux
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

[CentOS]安装软件:/lib/ld-linux.so.2: bad ELF interpreter 解决

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭